LYNX(1)

NAZWA
lynx - przeglądarka sieci WWW ogólnego zastosowania

SKŁADNIA
lynx [opcje] [ścieżka lub URL]

lynx [opcje] [ścieżka lub URL] -get_data
data
--

lynx [opcje] [ścieżka lub URL] -post_data
data
--

Pełną listę aktualnych opcji wyświetla polecenie „lynx -help”.

OPIS
Lynx jest kompletnym klientem WWW przeznaczonym dla użytkowników pracujących na znakowych urządzeniach wyświetlających z adresowalnym kursorem (np. terminalach vt100, emulatorach vt100 działających na platformie Windows lub innej, zgodnej z POSIX lub dowolnych innych wyświetlaczach działających z curses). Wyświetla on dokumenty hipertekstowe (HTML), zawierające odnośniki zarówno do plików lokalnego systemu, jak i do plików znajdujących się na zdalnych systemach z uruchomioną usługą Gopher, HTTP, FTP, WAIS lub NNTP.

Lynx otrzymał porty na wiele systemów, w tym wszystkie warianty Uniksa, Windowsa (od Windowsa 95), DOS DJGPP i OS/2 oraz VMS i OS/390.

Lynx może być wykorzystywany do dostępu do informacji z WWW lub do budowania systemów informacyjnych przeznaczonych głównie do dostępu lokalnego. Np. Lynx został użyty do zbudowania wielu Campus Wide Information Systems (CWIS). Prócz tego, może posłużyć do budowy systemów izolowanych wewnątrz pojedynczej sieci lokalnej (LAN).

OPCJE
Przy starcie, Lynx wczytuje dowolny plik lokalny lub URL podany w wierszu poleceń. Tekst pomocy opisującej pracę z URL-ami uzyskuje się naciskając „?” or „H” podczas pracy z programem. Następnie należy podążać za odnośnikiem zatytułowanym „Help on URLs.”

Jeśli w wierszu poleceń podano więcej niż jeden lokalny plik lub zdalny URL, Lynx otworzy interaktywnie jedynie ostatni. Wszystkie nazwy (lokalnych plików i zdalnych URL-i) są dodawane do historii G)oto.

Lynx używa jedynie długich nazw opcji. Nazwy opcji mogą zaczynać się również podwójną kreską „--”, w nazwach opcji można zamieniać podkreślniki i kreski (w poniższym opisie, opcje pokazane są z jedną poprzedzającą kreską „-” oraz z podkreślnikami „_”.

Lynx udostępnia wiele opcji wiersza poleceń. Niektóre opcje wymagają wartości (łańcucha tekstowego, liczby lub słowa kluczowego). Są one podane w poniższych opisie. Inne opcje ustawiają wartości logiczne w programie. Są trzy typy opcji logicznych: ustawianie, usuwanie i przełączanie. Jeśli nie poda się wartości opcji, mają one oczywiste znaczenie: ustawianie (na prawdę), usuwanie (fałsz) lub przełączanie (pomiędzy prawdą i fałszem). Dla tego typu opcji wartości można podać w różnej postaci, uwzględniając ograniczenia systemu operacyjnego np.

-center:off -center=off -center-

Lynx rozpoznaje „1”, „+”, „on” i „true” jako wartości prawdy oraz „0”, „-”, „off” i „false” jako wartości fałszu. Inne zestawy opcja-wartość są ignorowane.

Domyślne logiczne, liczbowe i łańcuchowe wartości opcji, które są wkompilowane w programie Lynx są wyświetlane w komunikacie pomocy dostępnym za pomocą lynx -help. Niektóre z nich mogą się różnić, w zależności od sposobu zbudowania programu Lynx; zob. sam komunikat pomocy, aby się z nimi zapoznać. Opcja -help jest przetwarzana w trzecim przebiegu przetwarzania opcji, zatem komunikat uwzględnia wszelkie opcje ustawiające wartości, jak również rozruchowe wartości konfiguracyjne.

-   Jeśli jedynym argumentem jest „-”, to Lynx oczekuje na podanie mu argumentów ze standardowego wejścia. Umożliwia to wprowadzanie potencjalnie bardzo długich wierszy poleceń, jakie mogą być związane z argumentami -get_data lub -post_data (zob. niżej). Można to też wykorzystać gdy chcemy uniknąć umieszczania informacji traktowanej jako niejawna w wierszu poleceń wywołania programu (co na większości systemów byłoby widoczne dla innych procesów), szczególnie, gdy równocześnie stosowane są opcje -auth lub -pauth.

-accept_all_cookies
    akceptowanie wszystkich ciasteczek (cookies).

-anonymous
    stosowanie ograniczeń dla użytkownika anonimowego, zobacz też -restrictions.

-assume_charset=nazwaMIME
    zestaw znaków przyjmowany dla dokumentów, które go nie określają.

-assume_local_charset=nazwaMIME
    zestaw znaków przyjmowany domyślnie dla plików lokalnych, czyli plików które tworzy Lynx, takich jak wewnętrzne strony dla opcji menu.

-assume_unrec_charset=nazwaMIME
    zestaw znaków stosowany zamiast nierozpoznanych zestawów znaków.

-auth=ID:HASŁO
    ustalenie na starcie identyfikatora oraz hasła autoryzacji dla dokumentów chronionych. Należy upewnić się, że chronione są wszelkie pliki skryptów wykorzystujących ten przełącznik.

-base
    przy zrzutach -source uzyskane wyjście tekstowe/html będzie poprzedzone komentarzem o żądanym URL-u i znacznikiem BASE.

-bibhost=URL
    określa lokalny serwer bipb (domyślnie: http://bibhost/).

-blink
    wymusza w trybie kolorowym podwyższoną jasności kolorów tła, jeśli jest to dostępne i obsługiwane przez terminal. Lynx powinien być skompilowany z biblioteką slang (w przypadku kilku emulatorów terminala) lub z ncurses dla OS/2 EMX.

-book
    użycie strony z zakładkami (bookmark page) jako pliku startowego. Domyślny plik lub plik z wiersza poleceń jest jednak wciąż używany dla komendy Main screen i będzie wykorzystany jeśli strona z zakładkami jest niedostępna lub pusta.

-buried_news
    przełącznik przeglądania artykułów grup dyskusyjnych (news) w poszukiwaniu zagrzebanych odnośników. Odnalezione odnośniki są konwertowane na odnośniki do artykułów news. Nie jest to zalecane, gdyż adresy pocztowe zawarte wewnątrz nawiasów kątowych zostaną zmienione na nieprawidłowe odnośniki news, a zakodowane programem uuencode wiadomości mogą zostać zaprzepaszczone.

-cache=LICZBA
    ustala liczbę dokumentów buforowanych w pamięci. Domyślnie jest to 10.

-case
    włącza rozróżnianie wielkości liter przy wyszukiwaniu napisów.

-center
    toggles center alignment in HTML TABLE. Normally table cells are centered on the table grid. Set this option “on” to disable centering. The default is “off”.

-cfg=NAZWAPLIKU
    określa plik konfiguracyjny Lynxa, inny niż domyślny lynx.cfg.

-child
    powoduje zakończenie pracy przy naciśnięciu strzałki w lewo w pliku startowym, równocześnie wyłączając zapisywanie na dysk i powiązane opcji wydruku/poczty.

-child_relaxed
    powoduje zakończenie pracy przy naciśnięciu strzałki w lewo w pliku startowym, jednak zezwalając na zapisywanie na dysk oraz korzystanie z powiązanych opcji wydruku/poczty.

-cmd_log=NAZWAPLIKU
    write keystroke commands and related information to the specified file.

-cmd_script=NAZWAPLIKU
    read keystroke commands from the specified file. You can use the data written using the -cmd_log option. Lynx will ignore other information which the command-logging may have written to the logfile. Each line of the command script contains either a comment beginning with “#”, or a keyword:

    exit
        powoduje zatrzymanie skryptu i wymusza natychmiastowe zakończenia programu Lynx.

    key wartość znaku w formie drukowalnej. Kursor i inne klawisze specjalne otrzymują nazwy np. „Down Arrow” (strzałka w dół). Drukowalne, 7-bitowe kody ASCII są podawane bez zmian, a wartości szesnastkowe reprezentują inne kody 8-bitowe.

    set po którym następuje „nazwa=wartość” pozwala na przesłonięcie wartości ustawionych w plikach lynx.cfg lub .lynxrc. Lynx na początku sprawdza ustawienia z plików konfiguracyjnych.

-collapse_br_tags
    przełącza łączenie znaczników BR.

-color
    forces color mode on, if available. Default color control sequences which work for many terminal types are assumed if the terminal capability description does not specify how to handle color. Lynx needs to be compiled with the slang library for this flag, it is equivalent to setting the COLORTERM environment variable. (If color support is instead provided by a color-capable curses library like ncurses, Lynx relies completely on the terminal description to determine whether color mode is possible, and this flag is not needed and thus unavailable.) A saved show_color=always setting found in a .lynxrc file at startup has the same effect. A saved show_color=never found in .lynxrc on startup is overridden by this flag.

-connect_timeout=N
    Ustawia czas przeterminowania połączenia, gdzie N jest podane w sekundach.

-cookie_file=NAZWAPLIKU
    specifies a file to use to read cookies. If none is specified, the default value is ~/.lynx_cookies for most systems, but ~/cookies for MS-DOS.

-cookie_save_file=NAZWAPLIKU
    określa plik, w którym mają być przechowywane ciasteczka. Jeśli nie poda się żadnego, używana jest wartość z opcji -cookie_file.

-cookies
    przełącznik obsługi nagłówków Set-Cookie.

-core
    przełącznik wymuszania zrzutów pamięci przy błędach krytycznych. Wyłączenie tej opcji żąda od programu Lynx zrzucenia pamięci, jeśli wystąpi błąd krytyczny.

-crawl
    z -traversal, wypisuje każdą stronę do pliku. z -dump, formatuje wyjście jak przy -traversal, lecz na standardowe wyjście.

-curses_pads
    toggles the use of curses “pad” feature which supports left/right scrolling of the display. The feature is normally available for curses configurations, but inactive. To activate it, use the “|” character or the LINEWRAP_TOGGLE command. Toggling this option makes the feature altogether unavailable.

-debug_partial
    przyrostowe fazy wyświetlania z MessageSecs opóźnieniem

-default_colors
    toggles the default-colors feature which is normally set in the lynx.cfg file.

-delay
    add DebugSecs delay after each progress-message

-display=DISPLAY
    ustawia zmienną wyświetlacza dla wywoływanych programów X-owych.

-display_charset=nazwaMIME
    ustawia zestaw znaków dla wyjścia na terminalu.

-dont_wrap_pre
    zakazuje zawijania tekstu w <pre> podczas zrzucania (-dump) i łażenia (-crawl), zaznacza zawinięte linie w sesji interaktywnej.

-dump
    dumps the formatted output of the default document or those specified on the command line to standard output. Unlike interactive mode, all documents are processed. This can be used in the following way:

    lynx -dump http://www.subir.com/lynx.html

    Pliki podane w wierszu poleceń są formatowane jako HTML, jeśli ich nazwy kończą się jednym ze standardowych przyrostków, takim jak „.htm” lub „.html”. Opcja -force_html powoduje takie formatowanie również plików, które nie przestrzegają tej konwencji.

-editor=EDYTOR
    włącza zewnętrzną edycję, za pomocą podanego EDYTORA. (vi, ed, emacs, itp.)

-emacskeys
    włącza klawisze przemieszczania w stylu emacsowym.

-enable_scrollback
    przełącza zgodność z klawiszami scrollback programów komunikacyjnych (może być niezgodne z niektórymi wersjami curses).

-error_file=PLIK
    definiuje plik, w którym Lynx będzie zgłaszał kody dostępu HTTP.

-exec
    wyłącza wywoływanie lokalnych programów (zwykle nie jest skonfigurowane)

-fileversions
    włącza wszystkie wersje plików przy wypisywaniu lokalnych katalogów VMS.

-find_leaks
    przełącza sprawdzanie pod kątem wycieków pamięci. Zwykle nie jest skompilowane w standardowym programie, ale jeśli jest, można je wyłączyć dla sesji.

-force_empty_hrefless_a
    wymusza opróżnianie elementów „A” nie zawierających znacznika HREF (domyka je zaraz po napotkaniu).

-force_html
    wymusza interpretację pierwszego dokumentu jako HTML.

    Najbardziej przydatne, przy przetwarzaniu plików podanych w wierszu poleceń, które mają nierozpoznany przyrostek (lub przyrostek powiązane z typem innym niż HTML type, np. „.txt” powiązane ze zwykłymi plikami tekstowymi).

    Lynx rozpoznane następuje przyrostki jako HTML:

    „.ht3”, „.htm”, „.html3”, „.html”,
    „.htmlx”, „.php3”, „.php”, „.phtml”,
    „.sht” i „.shtml”.

-force_secure
    przełącza wymuszanie flagi bezpieczeństwa dla ciasteczek SSL.

-forms_options
    toggles whether the Options Menu is key-based or form-based.

-from
    przełącza przekazywanie nagłówków From.

-ftp
    wyłącza dostęp do ftp.

-get_data
    properly formatted data for a get form are read in from the standard input and passed to the form. Input is terminated by a line that starts with “---”.

    Lynx issues an HTTP GET, sending the form to the path or URL given on the command-line and prints the response of the server. If no path or URL is given, Lynx sends the form to the start-page.

-head
    wysyła żądanie HEAD dla nagłówków mime.

-help
    wypisuje informację o składni poleceń Lynx i wychodzi.

-hiddenlinks=[opcja]
    steruje wyświetlaniem ukrytych odnośników.

    merge
        ukryte odnośniki są pokazywane jako liczby w nawiasach kwadratowych, numerowane wspólnie z innymi odnośnikami w kolejności występowania w dokumencie.

    listonly
        ukryte odnośniki są pokazywane tylko na ekranach L)ist i zestawieniach generowanych przez opcję -dump lub z menu P)rint, ale pojawiają się osobno na końcu tych list. Jest to zachowanie domyślne.

    ignore
        ukryte odnośniki na pojawiają się nawet na zestawieniach.

-historical
    przełącza stosowanie „>” lub „-->” jako zakończeń komentarzy.

-homepage=URL
    ustawia stronę domową niezależnie od strony startowej.

-image_links
    przełącza zamieszczanie odnośników dla wszystkich obrazków.

-index=URL
    ustala domyślny plik index dla podanego URL.

-ismap
    przełącza zamieszczanie odnośników ISMAP gdy istnieją MAPy klienckie.

-justify
    justuje (wyrównuje) tekst.

-link=LICZBA
    początkowy licznik dla plików lnk#.dat, tworzonych przez -crawl.

-list_decoded
    for -dump, show URL-encoded links decoded.

-list_inline
    for -dump, show the links inline with the text.

-listonly
    for -dump, show only the list of links.

-localhost
    wyłącza URL-e, które wskazują na zdalne maszyny.

-locexec
    zezwala na wywoływanie lokalnych programów tylko z plików lokalnych (jeśli Lynx był skompilowany z włączonym lokalnym wywoływaniem).

-lss=NAZWAPLIKU
    specify filename containing color-style information. The default is lynx.lss. If you give an empty filename, Lynx uses a built-in monochrome scheme which imitates the non-color-style configuration.

-mime_header
    wraz ze źródłem pobranego dokumentu wypisuje jego nagłówek MIME.

-minimal
    toggles minimal versus valid comment parsing.

-nested_tables
    przełącza logikę tabel zagnieżdżonych (do celów debugowania).

-newschunksize=LICZBA
    ilość artykułów w podzielonych na kawałki listingach z grup dyskusyjnych.

-newsmaxchunk=LICZBA
    maksymalna ilość artykułów w listingach grup dyskusyjnych przed podziałem na części.

-nobold
    wyłącza wyświetlanie atrybutu pogrubienia.

-nobrowse
    wyłącza przeglądanie katalogów.

-nocc
    wyłącza prośby o podanie Cc: w celu zyskania kopii listu do własnej wiadomości. Zauważ, że nie wyłącza tych CC, które są zamieszczone w samym URL-u typu mailto czy klauzuli ACTION formularza.

-nocolor
    wymusza wyłączenie koloru, ignorując możliwości terminala, ewentualną flagę -color, zmienną COLORTERM i zachowane ustawienia .lynxrc.

-noexec
    wyłącza wywoływanie lokalnych programów. (DOMYŚLNE)

-nofilereferer
    wyłącza transmisje nagłówków Referer dla URL-i plikowych.

-nolist
    wyłącza tworzenie listy odnośników w zrzutach.

-nolog
    wyłącza wysyłanie pocztą elektroniczną komunikatów o błędach do właścicieli dokumentów.

-nomargins
    disable left/right margins in the default style sheet.

-nomore
    disable -more- string in statusline messages.

-nonrestarting_sigwinch
    This flag is not available on all systems, Lynx needs to be compiled with HAVE_SIGACTION defined. If available, this flag may cause Lynx to react more immediately to window changes when run within an xterm.

-nonumbers
    wyłącza numerowanie odnośników i pól. Przesłania opcje -number_fields i -number_links.

-nopause
    wyłącza wymuszone przerwy na komunikaty w linii stanu.

-noprint
    wyłącza większość funkcji wypisywania [drukowania].

-noredir
    zapobiega automatycznym przekierowaniom i wypisuje komunikat z odnośnikiem do nowego URL-a.

-noreferer
    wyłącza przekazywanie nagłówków Referer.

-noreverse
    disable reverse video-attribute.

-nosocks
    wyłącza używanie proxy SOCKS przez uSOCKSowanego Lynxa.

-nostatus
    wyłącza komunikaty o stanie pobierania.

-notitle
    wyłącza tytuł i pusty wiersz z góry strony.

-nounderline
    wyłącza wyświetlanie atrybutu podkreślenia.

-number_fields
    wymusza numerowanie odnośników oraz pól wprowadzania formularzy.

-number_links
    wymusza numerowanie odnośników.

-partial
    przełącza wyświetlanie częściowe stron podczas pobierania.

-partial_thres=LICZBA
    liczba wierszy pokazywana przed ponownym utworzeniem obrazu podczas wyświetlania częściowego

-passive_ftp
    przełącza pasywne połączenia ftp.

-pauth=ID:HASŁO
    ustalenie na starcie identyfikatora oraz hasła autoryzacji dla chronionych serwerów proxy. Należy upewnić się, że chronione są wszelkie pliki skryptów wykorzystujących ten przełącznik.

-popup
    przełącza sposób obsługi opcji pojedynczego wyboru w SELECT: za pośrednictwem okna wyskakującego albo listy przycisków radiowych.

-post_data
    properly formatted data for a post form are read in from the standard input and passed to the form. Input is terminated by a line that starts with “---”.

    Lynx issues an HTTP POST, sending the form to the path or URL given on the command-line and prints the response of the server. If no path or URL is given, Lynx sends the form to the start-page.

-preparsed
    pokazuje wstępnie przetworzone i sformatowane źródło HTML, gdy użyto z -source lub w podglądzie źródła.

-prettysrc
    pokazuje podgląd źródła HTML z kolorowymi elementami leksykalnymi i znacznikami.

-print
    włącza funkcje wypisujące [drukujące]. (domyślne)

-pseudo_inlines
    włącza pokazywanie zastępczych pseudoznaczników ALT dla elementów obrazów inline bez tekstu ALT.

-raw
    włącza domyślne ustawienie 8-bitowych translacji znaków, lub tryb CJK dla startowego zestawu znaków.

-realm
    ogranicza dostęp tylko do URL-i w sferze startowej.

-read_timeout=N
    Ustawia przeterminowanie odczytu, gdzie N podaje się w sekundach.

-reload
    flushes the cache on a proxy server (only the first document given on the command-line is affected).

-restrictions=[opcja][,opcja][,opcja]...
    allows a list of services to be disabled selectively. Dashes and underscores in option names can be intermixed. The following list is printed if no options are specified.

    all zastrzega wszystkie wymienione niżej opcje.

    bookmark
        zabrania zmieniania położenia pliku zakładek.

    bookmark_exec
        zabrania uruchamiania programów poprzez odnośniki z pliku zakładek.

    change_exec_perms
        zabrania zmieniania prawa eXecute plików (lecz wciąż zezwala dla katalogi) kiedy włączone jest lokalne zarządzanie plikami.

    default
        same as command line option -anonymous. Disables default services for anonymous users. Set to all restricted, except for: inside_telnet, outside_telnet, inside_ftp, outside_ftp, inside_rlogin, outside_rlogin, inside_news, outside_news, telnet_port, jump, mail, print, exec, and goto. The settings for these, as well as additional goto restrictions for specific URL schemes that are also applied, are derived from definitions within userdefs.h.

    dired_support
        zabrania lokalnego zarządzania plikami.

    disk_save
        zabrania zachowywania plików na dysk w menu download i print.

    dotfiles
        zabrania dostępu do plików ukrytych (kropkowych), również ich tworzenia.

    download
        zabrania użycia niektórych programów do pobierania plików w menu download (nie pociąga to za sobą ograniczenia disk_save).

    editor
        zabrania zewnętrznej edycji.

    exec
        wyłącza skrypty uruchamiania.

    exec_frozen
        zabrania użytkownikowi zmieniania opcji lokalnego wykonywania.

    externals
        zabrania niektórych wierszy konfiguracyjnych „EXTERNAL” jeśli wkompilowana jest obsługa przesyłania URL-i do programów zewnętrznych (poleceniem EXTERN).

    file_url
        zabrania używania G)oto, obsłużonych odnośników i zakładek w stosunku do URL-i typu file:

    goto
        wyłącza polecenie „g” (goto).

    inside_ftp
        zabrania dostępu FTP dla osób pochodzących z wewnątrz naszej własnej domeny (dla selektywności wymagane jest utmp).

    inside_news
        j.w., lecz dla wysyłania artykułów do grup dyskusyjnych USENET.

    inside_rlogin
        disallow rlogins for people coming from inside your domain (utmp required for selectivity).

    inside_telnet
        disallow telnets for people coming from inside your domain (utmp required for selectivity).

    jump
        wyłącza polecenie „j” (jump).

    multibook
        zabrania używania wielu plików z zakładkami.

    mail
        zabrania używania poczty elektronicznej.

    news_post
        zabrania wysyłania do grup dyskusyjnych.

    options_save
        zabrania zachowywania opcji w .lynxrc.

    outside_ftp
        zabrania operacji FTP dla osób pochodzących spoza naszej własnej domeny (utmp jest wymagane dla selektywności).

    outside_news
        disallow USENET news reading and posting for people coming from outside your domain (utmp required for selectivity). This restriction applies to “news”, “nntp”, “newspost”, and “newsreply” URLs, but not to “snews”, “snewspost”, or “snewsreply” in case they are supported.

    outside_rlogin
        disallow rlogins for people coming from outside your domain (utmp required for selectivity).

    outside_telnet
        disallow telnets for people coming from outside your domain (utmp required for selectivity).

    print
        wyłącza większość opcji drukujących.

    shell
        zabrania przechodzenia do powłoki i G)oto typu lynxexec lub lynxprog.

    suspend
        zabrania zawieszenia pracy programu przez Control-Z i przechodzenia do powłoki.

    telnet_port
        zabrania podawania portu w G)oto dla telnetu.

    useragent
        zabrania modyfikowania nagłówka User-Agent.

-resubmit_posts
    włącza wymuszane ponowne dostarczanie (bez bufora) formularzy z metodą POST, kiedy dokumenty, które one zwracają są można uzyskać poleceniem PREV_DOC lub z History List.

-rlogin
    wyłącza rozpoznawanie poleceń rlogin.

-scrollbar
    przełącza wyświetlanie paska przewijania

-scrollbar_arrow
    przełącza wyświetlanie strzałek na końcach paska przewijania.

-selective
    wymaga plików .www_browsable do przeglądania katalogów.

-session=NAZWAPLIKU
    wznawia z podanego pliku przy uruchomieniu i zachowuje sesję do tego pliku przy wyjściu.

-sessionin=NAZWAPLIKU
    wznawia sesję z podanego pliku.

-sessionout=NAZWAPLIKU
    zachowuje sesję do podanego pliku.

-short_url
    powoduje, że bardzo długie URL-e pokazywane są w wierszu stanu z „...” oznaczającym część, której nie da się wyświetlić. Wyświetlany jest początek i koniec URL-a, zamiast obcinania samej końcówki.

-show_cfg
    Print the configuration settings, e.g., as read from “lynx.cfg”, and exit.

-show_cursor
    Jeśli włączone, kursor nie będzie ukrywany w prawym narożniku, lecz będzie umieszczany na początku aktualnie zaznaczonego odnośnika. Jest to domyślna opcja dla systemów bez możliwości FANCY_CURSES, a domyślna konfiguracja może być zmieniana w userdefs.h lub lynx.cfg. Przełącznik wiersza poleceń zmienia zachowanie domyślne.

-show_rate
    If enabled the transfer rate is shown in bytes/second. If disabled, no transfer rate is shown. Use lynx.cfg or the options menu to select KB/second and/or ETA.

-socks5_proxy=URL
    (Via which) SOCKS5 proxy to connect: any network traffic, including all DNS resolutions but the one for URL itself, will be redirected through the SOCKS5 proxy. URL may be given as “proxy.example.com”, “proxy.example.com:1080”, “192.168.0.1”, or “192.168.0.1:1080” (and IPv6 notation if so supported). A SOCKS5 proxy may also be specified via the environment variable SOCKS5_PROXY. This option controls the builtin SOCKS5 support, which is unrelated to the option -nosocks.

-soft_dquotes
    przełącza emulację starego błędu w Netscape i Mosaic, które traktowały „>” jako wspólny znak zamknięcia cudzysłowów (zawierających wartość atrybutu) i znacznika.

-source
    works the same as dump but outputs HTML source instead of formatted text. For example

    lynx -source . >foo.html

    tworzy źródło HTML wypisujące pliki w bieżącym katalogu. Każdy plik jest oznaczony za pomocą HREF, w odniesieniu do katalogu nadrzędnego. Dodanie końcowego ukośnika spowoduje, że odnośniki HREF będą tworzone w odniesieniu do bieżącego katalogu:

    lynx -source ./ >foo.html

-stack_dump
    wyłącza procedurę obsługi porządkowania po otrzymaniu SIGINT

-startfile_ok
    zezwala na plik startowy niezgodny z http i stronę domową z -validate.

-stderr
    When dumping a document using -dump or -source, Lynx normally does not display alert (error) messages that you see on the screen in the status line. Use the -stderr option to tell Lynx to write these messages to the standard error.

-stdin
    odczytuje plik początkowy ze standardowego wejścia (tylko UNIX).

-syslog=tekst
    informacje dla wywołania syslog.

-syslog_urls
    log requested URLs with syslog.

-tagsoup
    initialize parser, using Tag Soup DTD rather than SortaSGML.

-telnet
    wyłącza rozpoznawanie poleceń telnetu.

-term=TERM
    mówi Lynxowi, jakiego rodzaju terminala ma on używać. (Może być przydatne przy zdalnym wykonywaniu, np. gdy Lynx łączy się ze zdalnym portem TCP/IP, który uruchamia skrypt, który z kolei rozpoczyna inny proces Lynxa.)

-timeout=N
    W win32, ustawia czas przeterminowania sieci, gdzie N podaje się w sekundach.

-tlog
    toggles between using a Lynx Trace Log and stderr for trace output from the session.

-tna
    włącza tryb „Textfields Need Activation” („Pola tekstowe wymagają aktywacji”).

-trace
    włącza tryb śledzenia. Miejsce, do którego trafiają wyniki zależy od -tlog.

-trace_mask=wartość
    Włącza opcjonalne ślady, co może dać bardzo duże pliki śledzeń. Aby połączyć opcje, należy zsumować poniższe wartości:

    1   SGML character parsing states

    2   color-style

    4   TRST (table layout)

    8   configuration (lynx.cfg, .lynxrc, .lynx-keymaps, mime.types and mailcap contents)

    16  binary string copy/append, used in form data construction.

    32  ciasteczka

    64  zestawy znaków

    128 przetwarzanie GridText

    256 timing

    512 detailed URL parsing

-traversal
    podąża za wszystkimi odnośnikami http wywodzącymi się z pliku startowym. Gdy zostanie użyte z -crawl, każdy odnośnik, który zaczyna się tym samym napisem co plik startowy, jest wypisywany do pliku przeznaczonego do indeksowania.

    Zobacz CRAWL.announce dla dalszych informacji.

-trim_blank_lines
    toggles trimming of trailing blank lines as well as the related trimming of blank lines while collapsing BR tags.

-trim_input_fields
    przycina pola text/textarea w formularzach.

-underline_links
    przełącza używanie atrybutu podkreślonego/pogrubionego w odnośnikach.

-underscore
    włącza używanie formatu _podkreślonego_ w zrzutach.

-unique_urls
    sprawdza zduplikowane numery odnośników na każdej stronie i powiązanych listach i używa ponownie pierwotnego numeru odnośnika.

-update_term_title
    włącza aktualizację tytułu w emulatorach terminala. Należy włączyć tylko, jeśli używany emulator terminala obsługuje ten kod ucieczki. Opcja nie zadziała w połączeniu z opcją -notitle.

-use_mouse
    turn on mouse support, if available. Clicking the left mouse button on a link traverses it. Clicking the right mouse button pops back. Click on the top line to scroll up. Click on the bottom line to scroll down. The first few positions in the top and bottom line may invoke additional functions. Lynx must be compiled with ncurses or slang to support this feature. If ncurses is used, clicking the middle mouse button pops up a simple menu. Mouse clicks may only work reliably while Lynx is idle waiting for input.

-useragent=Nazwa
    ustala dla programu alternatywną nazwę nagłówka User-Agent.

-validate
    przyjmuje tylko URL-e http (do sprawdzania uprawnień). Zaimplementowane są także pełne ograniczenia zabezpieczające.

-verbose
    toggle [LINK], [IMAGE] and [INLINE] comments with filenames of these images.

-version
    wyświetla informacje o wersji i kończy działanie.

-vikeys
    włącza klawisze przemieszczania w stylu vi.

-wdebug
    enable Waterloo tcp/ip packet debug (print to watt debugfile). This applies only to DOS versions compiled with WATTCP or WATT-32.

-width=LICZBA
    liczba kolumn używanych do formatowania zrzutów, domyślnie 80. Ograniczona przez liczbę kolumn, które potrafi wyświetlić Lynx, zwykle do 1024 (symbol MAX_LINE).

-with_backspaces
    emit backspaces in output if -dump'ing or -crawl'ing (like man does)

-xhtml_parsing
    tells Lynx that it can ignore certain tags which have no content in an XHTML 1.0 document. For example “<p/>” will be discarded.

POLECENIA
Do danego polecenia można przypisać więcej niż jeden klawisz. Oto kilka najbardziej przydatnych: Strzałki w górę i strzałki w dół służą do przewijania pomiędzy odnośnikami hipertekstowymi. Strzałka w prawo lub Return podąży za podświetlonym odnośnikiem hipertekstowym. Strzałka w lewo lub „u” wycofa się z odnośnika. Wciskając „H”, „?”, lub F1 można uzyskać wbudowaną pomoc i opisy komend klawiszowych. Wciskając „k” lub „K” otrzyma się listę bieżących odwzorowań komend klawiszowych.

    Jeśli do danego polecenia przypisany jest ta sama litera, różniąc się tylko wielkością znaku, pokazywana jest jedynie mała litera. Klawisz Delete pokaże historię.

ŚRODOWISKO
Oprócz różnych „standardowych” zmiennych środowiskowych, takich jak DISPLAY, HOME, PATH, SHELL, TMPDIR, USER itd., Lynx korzysta z wielu typowych dla siebie zmiennych środowiskowych, jeśli istnieją.

Inne mogą być tworzone lub modyfikowane przez Lynx, aby przekazać dane do zewnętrznego programu lub do innych celów. Są one wypisane osobno, poniżej.

Zob. też rozdziały SYMULACJA OBSŁUGI CGI i OBSŁUGA JĘZYKÓW NARODOWYCH, poniżej.

Uwaga: Nie wszystkie zmienne środowiskowe są stosowane na wszystkich platformach obsługiwanych przez Lynx, choć większość jest. Mile widziane będą uwagi o zależnościach od platformy.

Zmienne środowiskowe wykorzystywane przez Lynx:

COLORTERM
    Jeśli ustawiona, to podczas uruchamiania wymuszane jest włączenie możliwości wyświetlania kolorów terminala. Faktyczna wartość przypisana tej zmiennej jest ignorowana. Zmienna COLORTERM ma znaczenie tylko wtedy, gdy Lynx zbudowano z wykorzystaniem biblioteki obsługi ekranu slang.

LYNX_CFG
    Ta zmienna, jeśli jest ustawiona, przesłania domyślne położenie i nazwę globalnego pliku konfiguracyjnego (normalnie, lynx.cfg), które zostały zdefiniowane stałą LYNX_CFG_FILE w pliku userdefs.h, podczas instalacji.

    W pliku userdefs.h można znaleźć więcej informacji na ten temat.

LYNX_CFG_PATH
    If set, this variable overrides the compiled-in search-list of directories used to find the configuration files, e.g., lynx.cfg and lynx.lss. The list is delimited with ":" (or ";" for Windows) like the PATH environment variable.

LYNX_HELPFILE
    If set, this variable overrides the compiled-in URL and configuration file URL for the Lynx help file.

LYNX_LOCALEDIR
    If set, this variable overrides the compiled-in location of the locale directory which contains native language (NLS) message text.

LYNX_LSS
    Ta zmienna, jeśli jest ustawiona, podaje położenie domyślnego pliku wzorca znaków strony (character style sheet file) Lynx. [Obecnie ma znaczenie tylko jeśli Lynx został zbudowany z eksperymentalną obsługą styli kolorów.]

LYNX_SAVE_SPACE
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny przedrostek ścieżki dla plików zachowywanych na dysk. Przedrostek ten jest zdefiniowany w lynx.cfg, w instrukcji SAVE_SPACE:.

    W pliku lynx.cfg można znaleźć więcej informacji na ten temat.

LYNX_TEMP_SPACE
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny przedrostek ścieżki dla plików tymczasowych, zdefiniowany podczas instalacji, jak również ewentualną wartość przypisaną zmiennej TMPDIR variable.

MAIL
    Ta zmienna określa domyślną skrzynkę odbiorczą, w której Lynx będzie szukać nowych listów, jeśli takie sprawdzanie włączono w pliku lynx.cfg.

NEWS_ORGANIZATION
    Ta zmienna, jeśli jest ustawiona, podaje napis używany w nagłówku Organization: artykułów wysyłanych do grup USENET-u. Przesłania ustawienie zmiennej środowiskowej ORGANIZATION, jeśli jest ona także ustawiona (i, na UNIX-ie, zawartość pliku /etc/organization, jeśli takowy istnieje).

NNTPSERVER
    Jeśli jest ustawiona, określa domyślny serwer NNTP, który będzie wykorzystywany do czytania i wysyłania za pomocą Lynx artykułów na grupy dyskusyjne USENET-u, za pośrednictwem URL-i news:.

ORGANIZATION
    Ta zmienna, jeśli jest ustawiona, podaje napis używany w nagłówku Organization: artykułów wysyłanych do grup USENET-u. Na UNIX-ie przesłania zawartość pliku /etc/organization, jeśli takowy istnieje.

PROTOCOL_proxy
    Lynx udostępnia użycie serwerów proxy, które mogą funkcjonować jako bramki zapór ogniowych i serwerów buforujących. Są one preferowane w stosunku do starszych serwerów-bramek (zobacz WWW_access_GATEWAY, poniżej).

    Każdy z protokołów używanych przez Lynx (http, ftp, gopher itd.) można odwzorować odrębnie, nadając zmiennym środowiskowym postaci PROTOKÓŁ_proxy “:”, mianowicie, “http” in “http://jakiś.serwer.domena:port/” dla HTML.

    Depending on your system configuration and supported protocols, the environment variables recognized by lynx may include

    cso_proxy finger_proxy ftp_proxy gopher_proxy http_proxy https_proxy
    news_proxy newspost_proxy newsreply_proxy nntp_proxy no_proxy rlogin_proxy
    snews_proxy snewspost_proxy snewsreply_proxy telnet_proxy tn3270_proxy
    wais_proxy

    W Lynx Users Guide znajdują się dalsze szczegóły i przykłady.

RL_CLCOPY_CMD
    Pipe the contents of the current link using this command as the target.

RL_PASTE_CMD
    Open a pipe to read from this command, pasting it into the current editable-field or command-prompt.

SOCKS5_PROXY
    Is inspected if -socks5_proxy has not been used (for the same content).

SSL_CERT_DIR
    Set to the directory containing trusted certificates.

SSL_CERT_FILE
    Set to the full path and filename for your file of trusted certificates.

WWW_dostęp_GATEWAY
    Lynx nadal obsługuje korzystanie z serwerów-bramek, przez serwery podane za pomocą zmiennych “WWW_dostęp_GATEWAY” (gdzie “dostęp” jest napisaną małymi literami nazwą “http”, “ftp”, “gopher” lub “wais”)), jednak większość serwerów-bramek została już wyłączona. Zauważ, że dla bramek nie podaje się końcówki “/”, jak się to robi dla serwerów proxy określanych zmiennymi środowiskowymi PROTOKÓŁ_proxy.

    Szczegóły można znaleźć w Lynx Users Guide.

WWW_HOME
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny startowy URL podany w którymkolwiek z plików konfiguracyjnych programu.

Zmienne środowiskowe tworzone lub zmieniane przez Lynx:

LYNX_PRINT_DATE
    Tej zmiennej funkcja p(rint) Lynx-a nadaje wartość łańcucha Date: pokazanego na stronie “Information about” (polecenie =) aktualnego dokumentu, jeśli jest takowa. Jest tworzona do wykorzystania przez program zewnętrzny, określony w instrukcji definiującej PRINTER: pliku lynx.cfg. Jeśli dla danego dokumentu pole takie nie istnieje, to zmiennej przypisywany jest łańcuch pusty w UNIX-ie lub “No Date” w VMS.

LYNX_PRINT_LASTMOD
    Tej zmiennej funkcja p(rint) Lynx-a nadaje wartość łańcucha Last Mod: pokazanego na stronie “Information about” (polecenie =) aktualnego dokumentu, jeśli jest takowa. Jest tworzona do wykorzystania przez program zewnętrzny, określony w instrukcji definiującej PRINTER: pliku lynx.cfg. Jeśli dla danego dokumentu pole takie nie istnieje, to zmiennej przypisywany jest łańcuch pusty w UNIX-ie lub “No LastMod” w VMS.

LYNX_PRINT_TITLE
    Tej zmiennej funkcja p(rint) Lynx-a nadaje wartość łańcucha Linkname: pokazanego na stronie “Information about” (polecenie =) aktualnego dokumentu, jeśli jest takowa. Jest tworzona do wykorzystania przez program zewnętrzny, określony w instrukcji definiującej PRINTER: pliku lynx.cfg. Jeśli dla danego dokumentu pole takie nie istnieje, to zmiennej przypisywany jest łańcuch pusty w UNIX-ie lub “No Title” w VMS.

LYNX_PRINT_URL
    Tej zmiennej funkcja p(rint) Lynx-a nadaje wartość łańcucha URL: pokazanego na stronie “Information about” (polecenie =) aktualnego dokumentu, jeśli jest takowa. Jest tworzona do wykorzystania przez program zewnętrzny, określony w instrukcji definiującej PRINTER: pliku lynx.cfg. Jeśli dla danego dokumentu pole takie nie istnieje, to zmiennej przypisywany jest łańcuch pusty w UNIX-ie lub “No URL” w VMS.

LYNX_TRACE
    If set, causes Lynx to write a trace file as if the -trace option were supplied.

LYNX_TRACE_FILE
    If set, overrides the compiled-in name of the trace file, which is either Lynx.trace or LY-TRACE.LOG (the latter on the DOS/Windows platforms). The trace file is in either case relative to the home directory.

LYNX_VERSION
    This variable is always set by Lynx, and may be used by an external program to determine if it was invoked by Lynx.

    See also the comments in the distribution's sample mailcap file, for notes on usage in such a file.

TERM
    Normalnie zmienna ta jest używana przez Lynx do wyznaczenia typu terminala, jakiego użyto do wywołania programu. Jeśli jednak nie jest ustawiona przy uruchomieniu (lub ma wartość „unknown”) lub jeśli użyto opcji-term wiersza poleceń, to Lynx nada lub zmieni jej wartość na podany przez użytkownika typ terminala (dla środowiska wykonywania Lynx). Uwaga: jeśli Lynx nada/zmieni tę zmienną, wartości zmiennych środowiskowych LINES i COLUMNS mogą również ulec zmianie.

  Symulowana obsługa CGI
Jeśli zbudowano go z włączoną opcją cgi-links, to Lynx pozwala na dostęp do skryptów cgi bez potrzeby korzystania z demona http.

Podczas wykonywania takich “skryptów lynxcgi” (jeśli są dostępne), do symulowania środowiska CGI można ustawić następujące zmienne:

CONTENT_LENGTH

CONTENT_TYPE

DOCUMENT_ROOT

HTTP_ACCEPT_CHARSET

HTTP_ACCEPT_LANGUAGE

HTTP_USER_AGENT

PATH_INFO

PATH_TRANSLATED

QUERY_STRING

REMOTE_ADDR

REMOTE_HOST

REQUEST_METHOD

SERVER_SOFTWARE

Inne zmienne środowiska nie są dziedziczone przez skrypt, chyba że dostarczono je za pośrednictwem instrukcji LYNXCGI_ENVIRONMENT w pliku konfiguracyjnym. Definicje i sposób użycia tych zmiennych zawiera plik lynx.cfg oraz (szkic) Specyfikacja CGI 1.1 <http://Web.Golux.Com/coar/cgi/draft-coar-cgi-v11-00.txt>.

Po ogólne informacje o programowaniu skryptów CGI należy sięgnąć do Specyfikacji CGI i innej powiązanej dokumentacji.

  Obsługa języków narodowych
Jeśli został skonfigurowany i zainstalowany z obsługą języków narodowych (Native Language Support), Lynx będzie wyświetlał komunikaty o stanie i inne w naszym ojczystym języku. Więcej informacji o internacjonalizacji można znaleźć w pliku ABOUT_NLS z dystrybucji źródłowej lub na miejscowej witrynie GNU.

Do zmiany domyślnych ustawień służą poniższe zmienne środowiska:

LANG
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny język komunikatów. Jest to dwuliterowy kod ISO 639 identyfikujący język. Kody języków NIE są takie same, jak kody krajów podane w ISO 3166.

LANGUAGE
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny język komunikatów. Jest to rozszerzenie GNU, mające wyższy priorytet przy ustalaniu katalogu komunikatów niż LANG czy LC_ALL.

LC_ALL
    i

LC_MESSAGES
    Te zmienne, jeśli są ustawione, określają sposób formatowania języka narodowego. Są zgodne z POSIX.

LINGUAS
    Ta zmienna, jeśli jest ustawiona przed konfiguracją, ogranicza instalowane języki do podanych przez jej wartość. Jest listą rozdzielonych odstępami dwuliterowych kodów. Obecnie jest niezmienna, stosowna do życzeń.

NLSPATH
    Ta zmienna, jeśli jest ustawiona, służy jako przedrostek ścieżki katalogów, w których znajdują się komunikaty.

UWAGI

  Listy dyskusyjne
Jeśli chcesz przyczynić się do przyszłego rozwoju Lynxa, zapisz się na naszą listę dyskusyjną. Wyślij email do <lynx-dev-request@nongnu.org> z „subscribe lynx-dev” jako jedyną linijką ciała listu.

Informacje o błędach, komentarze, sugestie wysyłaj do <lynx-dev@nongnu.org> (po zapisaniu się).

Wypisać się z listy można wysyłając email na <lynx-dev-request@nongnu.org> z „unsubscribe lynx-dev” jako jedyną linijką ciała listu. Proszę nie wysyłać wiadomości unsubscribe na listę lynx-dev.

  Podziękowania
Lynx zawiera kod z wielu różnych źródeł. Najwcześniejsze wersje Lynxa zawierały kod od Earla Fogela z Computing Services z University of Saskatchewan, który zaimplementował HYPERREZ w środowisku Unix. HYPERREZ był stworzony przez Niela Larsona z Think.com i służył jako model dla pierwszych wersji Lynxa. Te wersje zawierały także biblioteki z klientów Gopher (Unix-owych), stworzonych na University of Minnesota, a późniejsze wersje Lynxa bazują na kodzie biblioteki klienta WWW, stworzonej przez Tima Berners-Lee i wspólnotę WWW. Dodatkowo, szczególne podziękowania dla Foteos Macrides, który przeniósł większość z Lynxa na VMS i zrobił lub zorganizował większość z jego nowych elementów od czasu odejścia Lou Montulli i Garretta Blythe z University of Kansas w lecie 1994 do wersji v2.7.2, a także każdemu w sieci, kto włożył swoją pracę w rozwój Lynxa, zarówno bezpośrednio (przez patche, komentarze, zgłaszanie błędów), lub pośrednio (przez natchnienie i rozwój innych systemów).

AUTORZY
Lou Montulli, Garrett Blythe, Craig Lavender, Michael Grobe, Charles Rezac
Academic Computing Services
University of Kansas
Lawrence, Kansas 66047

Foteos Macrides
Worcester Foundation for Biomedical Research
Shrewsbury, Massachusetts 01545

Thomas E. Dickey
<dickey@invisible-island.net>

ZOBACZ TAKŻE
catgets(3), curses(3), environ(7), ftp(1), gettext(GNU), localeconv(3), ncurses(3), setlocale(3), termcap(5), terminfo(5)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.